/* mm_conf.h.  Generated automatically by configure.  */
/* ====================================================================
 * Copyright (c) 1999-2000 Ralf S. Engelschall. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by
 *     Ralf S. Engelschall <rse@engelschall.com>."
 *
 * 4. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by
 *     Ralf S. Engelschall <rse@engelschall.com>."
 *
 * THIS SOFTWARE IS PROVIDED BY RALF S. ENGELSCHALL ``AS IS'' AND ANY
 * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL RALF S. ENGELSCHALL OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 * ====================================================================
 */

/*
**
**  mm_conf.h
**
*/

#ifndef _MM_CONF_H_
#define _MM_CONF_H_

/* VM Page Size Determination */
/* #undef MM_VMPS_GETPAGESIZE */
#define MM_VMPS_SYSCONF 1
/* #undef MM_VMPS_BEOS */

/* Shared Memory Type */
/* #undef MM_SHMT_MMANON */
/* #undef MM_SHMT_MMPOSX */
/* #undef MM_SHMT_MMZERO */
/* #undef MM_SHMT_MMFILE */
#define MM_SHMT_IPCSHM 1
/* #undef MM_SHMT_BEOS */

/* Shared Memory Maximum Segment Size */
#define MM_SHM_MAXSEGSIZE 67108864

/* Semaphore Type */
/* #undef MM_SEMT_FLOCK */
#define MM_SEMT_FCNTL 1
/* #undef MM_SEMT_IPCSEM */
/* #undef MM_SEMT_BEOS */

/* Debugging */
/* #undef MM_DEBUG */

/* Standard Autoconf stuff */
#define HAVE_MEMCPY 1
#define HAVE_MEMSET 1
#define HAVE_BCOPY 1
#define HAVE_MEMORY_H 1
/* #undef MM_OS_SUNOS */
/* #undef MM_OS_BS2000 */
#define HAVE_PATH_MAX 1
#define HAVE__POSIX_PATH_MAX 1
#define HAVE_MAXPATHLEN 1
/* #undef HAVE_UNION_SEMUN */

#endif /* _MM_CONF_H_ */

